NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.BridgeCurveConnectivity Class Reference

Data offering connectivity controls for NXOpen.Features.BridgeCurveBuilderEx . More...

Inheritance diagram for NXOpen.GeometricUtilities.BridgeCurveConnectivity:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveDirectionOptions { Tangent, Perpendicular }
 Tangent constraint direction when end is attached to a section More...
 
enum  FaceDirectionOptions { Sectional, IsoU, IsoV }
 Tangent constraint direction when end is attached to a face More...
 

Public Member Functions

unsafe void EditUVPercentage (double uPercent, double vPercent)
 Edits parameter percentage of a representative point on face More...
 
unsafe void UpdateBasedOnLocationOnSection ()
 Updates the data based on NXOpen.GeometricUtilities.BridgeCurveConnectivity.LocationOnSection More...
 
unsafe void UpdateOnDirectionAtPointReversal ()
 Updates the data based on BridgeCurveConnectivity.DirectionAtPoint sense More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanReverseDirection [get, set]
 Returns or sets the flag indicating if tangent direction is to be reversed More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Continuity [get]
 Returns the continuity level More...
 
unsafe
NXOpen.GeometricUtilities.BridgeCurveConnectivity.CurveDirectionOptions 
CurveDirectionOption [get, set]
 Returns or sets the curve direction option More...
 
unsafe NXOpen.Direction DirectionAtPoint [get, set]
 Returns or sets the direction at point More...
 
unsafe
NXOpen.GeometricUtilities.BridgeCurveConnectivity.FaceDirectionOptions 
FaceDirectionOption [get, set]
 Returns or sets the face direction option More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
LocationOnSection [get]
 Returns the location on section More...
 
unsafe NXOpen.SelectFace PerpendicularFace [get]
 Returns the perpendicular face More...
 
unsafe NXOpen.Expression SectionAngle [get]
 Returns the section angle. More...
 
unsafe NXOpen.Expression UPercentage [get]
 Returns the U coordinate percentage indicating location on the face where bridge curve is connected More...
 
unsafe NXOpen.Expression VPercentage [get]
 Returns the V coordinate percentage indicating location on the face where bridge curve is connected More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Data offering connectivity controls for NXOpen.Features.BridgeCurveBuilderEx .

Use NXOpen.GeometricUtilities.BridgeCurveConnectivity to define continuity level, position and tangency, curvature or flow at the end of a bridge curve. For more details see the NX documentation for Bridge Curves.

Created in NX8.5.0

Member Enumeration Documentation

Tangent constraint direction when end is attached to a section

Enumerator
Tangent 

Tangent to section

Perpendicular 

Perpendicular to section using a reference face

Tangent constraint direction when end is attached to a face

Enumerator
Sectional 

Sectional direction

IsoU 

Along U iso-parameter

IsoV 

Along V iso-parameter

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.BridgeCurveConnectivity.EditUVPercentage ( double  uPercent,
double  vPercent 
)
inline

Edits parameter percentage of a representative point on face

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
uPercent
vPercent
unsafe void NXOpen.GeometricUtilities.BridgeCurveConnectivity.UpdateBasedOnLocationOnSection ( )
inline

Updates the data based on NXOpen.GeometricUtilities.BridgeCurveConnectivity.LocationOnSection

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe void NXOpen.GeometricUtilities.BridgeCurveConnectivity.UpdateOnDirectionAtPointReversal ( )
inline

Updates the data based on BridgeCurveConnectivity.DirectionAtPoint sense

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.GeometricUtilities.BridgeCurveConnectivity.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.GeometricUtilities.BridgeCurveConnectivity.CanReverseDirection
getset

Returns or sets the flag indicating if tangent direction is to be reversed

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.GeometricUtilities.BridgeCurveConnectivity.Continuity
get

Returns the continuity level

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.BridgeCurveConnectivity.CurveDirectionOptions NXOpen.GeometricUtilities.BridgeCurveConnectivity.CurveDirectionOption
getset

Returns or sets the curve direction option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.BridgeCurveConnectivity.DirectionAtPoint
getset

Returns or sets the direction at point

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.BridgeCurveConnectivity.FaceDirectionOptions NXOpen.GeometricUtilities.BridgeCurveConnectivity.FaceDirectionOption
getset

Returns or sets the face direction option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.BridgeCurveConnectivity.LocationOnSection
get

Returns the location on section

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectFace NXOpen.GeometricUtilities.BridgeCurveConnectivity.PerpendicularFace
get

Returns the perpendicular face

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.BridgeCurveConnectivity.SectionAngle
get

Returns the section angle.

Positive U direction is used as reference to measure the angle in tangent plane.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.BridgeCurveConnectivity.UPercentage
get

Returns the U coordinate percentage indicating location on the face where bridge curve is connected

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.BridgeCurveConnectivity.VPercentage
get

Returns the V coordinate percentage indicating location on the face where bridge curve is connected

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.